* {
   margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Poppins", sans-serif;
}

body{
  min-height: 100%;
  margin-bottom:50px;
  background: #f6f6f6 !important;
}
.inner-body{
  display: block;
  margin-top:35px;
  margin-bottom:100px;
}

nav{
a{
    font-size:25px;
}
input[type='text']{
font-size:24px;
}
}

.add-link{
font-size:24px;
margin-right:50px;
margin-left:10px;
}

#search-form{
margin-right:10px;
}


#topics{
  float:right;
  margin-right:30px;
}

#home{
  float:left;
  margin-left:30px;
}

#text{
  display:inline-flex;
  margin-left:auto;
  margin-right:auto;
  margin-top:10px;
  p{
    font-size: 36px;
    font-style: oblique;
    color:gold;
  }
}



#footer {
  position: fixed;
  display:none;
  justify-content: center;
  align-items: center;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 80px;
}

.tab{
  margin:1px 10px 1px 10px;
  padding:7px;
  border-radius: 10px 5px 10px 5px;
  transition: all 0.5s ease;
  background: linear-gradient(to bottom, #f7dfa5 0%, #f0c14b 100%);


  a{
    font-size:30px;
    color: #2a304c;
    text-decoration: none;
    transition: all 0.3s ease;
  }
  &:hover{
    filter:contrast(135%);
    transform: translateY(-3px);
  }
  a:visited{
    color:black;
  }
}


.account-settings .user-profile {
    margin: 0 0 1rem 0;
    padding-bottom: 1rem;
    text-align: center;
}
.account-settings .user-profile .user-avatar {
    margin: 0 0 1rem 0;
}
.account-settings .user-profile .user-avatar img {
    width: 90px;
    height: 90px;
    -webkit-border-radius: 100px;
    -moz-border-radius: 100px;
    border-radius: 100px;
}
.account-settings .user-profile h5.user-name {
    margin: 0 0 0.5rem 0;
}
.account-settings .user-profile h6.user-email {
    margin: 0;
    font-size: 0.8rem;
    font-weight: 400;
    color: #9fa8b9;
}
.account-settings .about {
    margin: 2rem 0 0 0;
    text-align: center;
}
.account-settings .about h5 {
    margin: 0 0 15px 0;
    color: #007ae1;
}
.account-settings .about p {
    font-size: 0.825rem;
}
.form-control {
    border: 1px solid #cfd1d8;
    -webkit-border-radius: 2px;
    -moz-border-radius: 2px;
    border-radius: 2px;
    font-size: .825rem;
    background: #ffffff;
    color: #2e323c;
}

.card {
    background: #ffffff;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    border-radius: 5px;
    border: 0;
    margin-bottom: 1rem;
}


.text-right{
    text-align:right !important;
    margin-top:8px;
}


.card{
text-align: center !important;
width:500px;
margin-left:auto;
margin-right:auto;
height:350px;
}

.bottom-card{
 border-top: 1px solid #cfd1d8;
 border-bottom:1px solid #cfd1d8;
 padding: 20px 0 20px 0;
}

.update-body{
 .card{
 width:auto !important;
 text-align: unset !important;
 }
 h6{
 text-align:center;
 padding-bottom: 20px !important;
 margin-bottom:15px !important;
 border-bottom: 1px solid #cfd1d8;
 font-size:30px;
 }
 label{
 font-size:20px;
margin:10px 0 10px 0;
 }
}

.delete-body{
    .inner-delete-body{
        text-align:center;
    }
    span{
        border:1px solid #cfd1d8;
        border-radius:20px;
        padding:20px;
        margin-bottom:24px;
        transition: 400ms ease-in-out;
        font-size:30px;
    &:hover{
     background: linear-gradient(to bottom, #f7dfa5 0%, #f0c14b 100%);

        filter:contrast(135%);
        cursor:unset;
        user-select:none;
    }

    }
    form{
    display:block;
    margin-top:25px;
    word-spacing:12px;

    button{
        font-size:26px;
    }

    }

}

.table{
width:90% !important;
margin-left:auto;
margin-right:auto;
}


.home-inner-body{
.wrapper-link{
display:inline-flex;
justify-content:center;
align-items:center;
margin-bottom:20px;
}

.add-link{
margin-right:170px;
}
.search-wrapper{
    margin-left:80px;
       form{
        display:inline-flex !important;
        }
    .add-link{
        display:flex;
        margin-bottom:19px;
        margin-left:95px;

        p{
        font-size:24px;
        margin-top:50px;
        text-align:center;
        }
    }
}
    .td-a{
    a{ text-decoration:none;
    color:darkblue;}
    }
    .td-upd-del{
    a{
        text-decoration:none;
    }
    }
}

.wrapper{
       display:flex;
       justify-content:center;
       align-items:center;
       text-align:center;
       .add-link{
       margin-bottom:unset !important;
       margin-left:unset !important;
       display:unset !important;}
       }


.wrapper-link{
    margin-left:auto;
    margin-right:auto;
    width:90%;
    display:block;
}

.wrapp-group{
    width:800px;
    margin-left:auto;
    margin-right:auto;
    label{
    font-size:24px;
    margin-bottom:7px;
    margin-left:10px;
    }
    .bottom-form{
    text-align:center;
    word-spacing:20px;
    margin-top:20px;
    }
}

.description-body{
    .wrapper-desc{
        width:600px;
        height:auto;
        margin-left:auto;
        margin-right:auto;
        text-align:justify;
    }
    .bottom-desc{
       text-align:center;
       margin-top:20px;
    }

    .wrapp-text{
    text-align:center;
    }
    textarea{
    resize:none;
    height:500px;
    width:600px;
    }
}

#text-bar{
width:450px;
}

#search-btn{
font-size:24px;
}


#descriere{
font-family: 'Enriqueta', arial, serif;
line-height: 1.25; margin: 0 0 10px;
 font-weight: bold;
 font-size: 36px;
 font-style: oblique;

}

.paginator-block {
  text-align: center;
  bottom:0;
}

.paginator-block a {
  font-size: 26px;
  font-weight: 600;
  border: 0.02rem solid #6d6d6d;
  padding: 5px 14px 5px 14px;
  margin-right: 7px;
  margin-top: 7px;
  border-radius: 3px;
}

.active-page {
  background-color: #7ea1de;
  color: white;
  transition: background-color .3s;

  &:hover {
    background: orange;
    cursor: pointer;
  }
}

.inactive-page {
  background-color: #d7d7d7;
  transition: background-color .3s;

  &:hover {
    background: whitesmoke;
  }
}

.wrapper-paginator{
    bottom:100px;
    width:100%;
}

.create-header{
    text-align:center;
    margin-bottom:24px;
    h4{
        margin-left:auto;
        margin-right:auto;
        width:30%;
        border-bottom: 0.13rem solid lightgrey;
        padding-bottom:10px;
        font-size:34px;
        word-spacing: 4px;
        font-style:oblique;
    }
}


.topic-wrapper{
    .topic-inner{
        box-shadow: rgba(6, 24, 44, 0.4) 0px 0px 0px 2px, rgba(6, 24, 44, 0.65) 0px 4px 6px -1px, rgba(255, 255, 255, 0.08) 0px 1px 0px inset;
        background:lightgrey !important;
        width:70%;
        border-radius:5px;
        margin-left:auto;
        margin-right:auto;
        display:grid;
        grid-column-start:1;
        grid-column-end:3;
        grid-template-columns: auto auto auto;
        padding:30px 20px 30px 20px;
        .columns{
            text-align:center;
            margin-top:15px;
            margin-bottom:15px;
        }
    }
    a{text-decoration:none !important;}
}

.topic-header{
    .topic-header-inner{
        display:block;
        width:70%;
        border-bottom:0.21rem solid lightgrey;
        margin-bottom:40px;
        margin-left:auto;
        margin-right:auto;
        p{
        text-align:center;
        font-family: Calisto MT;
        font-size:40px;
        }

    }
    a{
        display:flex;
        justify-content:center;
        align-items:center;
        text-decoration:none !important;
        }
}


.login-body{
    .login-wrapp{
        width:80%;
        margin-left:auto;
        margin-right:auto;
        display:block;
        .login-nd-wrapp{
            width:40%;
            margin-left:auto;
            margin-right:auto;
            display:block;
            border:0.12rem solid lightgrey;
            border-radius:10px;
            padding:40px 34px 40px 34px;
            background:white;
            h3{
            text-align:center;
            font-size:40px;
            }
            .bottom-form{
            text-align:center;
            span{
            display:block;
            margin-bottom:9px;
            button{
                width:100%;
                }
            }

            }
            a{text-decoration:none !important;}
            .bottom-line{
                    text-align: center;
                   border-bottom: 1px solid #000;
                   line-height: 0.1em;
                   margin: 35px 0 35px 0;
                   .bottom-line-wrapper{
                    background:white;
                    padding:0 10px;
                    text-size:20px;
                    font-style:oblique;
                }
            }
        .bottom-login{
             display:block;
             margin:15px 0 5px 0;

             a{color:black;}

            .bottom-register-login{
                background:#78ff66;
                margin-bottom:5px;
                text-align:center;
                font-size:24px;
                border-radius:4px;
                padding:10px;
                transition: .15s ease-in-out;
                }
                .bottom-register-login:hover{
                 filter:contrast(80%);
                 cursor:pointer;
                }
                .bottom-reset-login{
                    background:gold;
                    text-align:center;
                    font-size:24px;
                    border-radius:4px;
                    padding:10px;
                    transition: .15s ease-in-out;
                }
                 .bottom-reset-login:hover{
                       filter:contrast(90%);
                       cursor:pointer;
                    }
            }
        }
    }
}

.back-topics{
    margin-left:75px;
}

.wrapper{
    margin-top:25px;
    .ad-link-topic{
    font-size:30px;
    border: 0.13rem solid;
    padding:15px;
    border-radius: 8px;
    p{
    margin-bottom:0px !important;
    }
    }
}


.register{

    .wrapper-register{
        width:40%;
        margin-left:auto;
        margin-right:auto;
        display:block;
        background:white;
        border:1px grey;
        border-radius:10px;
        padding:20px;
        .register-form{
            display:block;
            justify-content:center;
            align-items:center;
            padding:10px;
            .header-wrapper{
            display:flex;
            justify-content:center;
            align-items:center;
            h3{
                text-align:center;
                padding:5px;
                border-bottom:0.4px solid;
                width:70%;
                }
            }
            .form-wrapper{
                display:flex;
                justify-content:center;
                align-items:center;
                margin-left:15px;
                .bottom-form{
                     border-top:1px solid lightgrey;
                     padding-top:15px;
                    display:grid;
                    margin-top:15px;
                    line-spacing:15px;
                    button{
                    margin-bottom:10px;


                    a{text-decoration:none;
                        color:white;

                     }
                    }
                }
            }
        }
    }

}

#form-wrapper-reset{
text-align:center;
display:grid;
    .form-body{
        margin: 15px 0 15px 0;
        .form-group{
        label{line-height:2 !important;}
        }
    }
}

#form-wrapper-confirm{
    #header-wrapper-confirm{
    justify-content:center;
    align-items:center;
    display:flex;
        #header-confirm{
            text-align:center;
            margin-bottom:40px;
            border-bottom:1px solid lightgrey;
            padding-bottom:10px;
            width:70%;
        }
    }
    form{
    width:70%;
    margin-left:auto;
    margin-right:auto;
    .form-group{
        margin-bottom:20px;
    }
    }
}

#complete-reset{
    display:grid;
    h4{
    text-align:center;
    }
}

.no-login{
display:block;
margin-left:auto;
margin-right:auto;
width:80%;
    .wrapper-no-login{
        border:0.1em solid lightgrey;
        border-radius:10px;
        background:white;
        padding:15px;
        p{
        text-align:center;
        font-family: "Poppins", sans-serif;
        font-size:24px;
        }
    }
}

#error-message{
    text-align:center;
    font-size:20;
    font-family:"Poppins";
    width:60%;
    display:block;
    margin-left:auto;
    margin-right:auto;
    border-radius:10px;
    transition:all 1s;
}
.entire-wrapper{
display:inline-flex;
}

#close{
display:initial;
float:right;
user-select:none;
}
.close-h:hover{
cursor:pointer;
}


.body-topic{
padding:30px 10px 80px 10px;
background:white;
border:0.2em solid lightgrey;
border-radius:10px;
width:80%;
display:block;
margin-left:auto;
margin-right:auto;
}


.topic-handle{
display:block;
margin-top:15px;
margin-bottom:5px;

    .wrapper-handle{


    }
}

.upd-topic-body{
    display:block;
    margin-left:auto;
    margin-right:auto;
    width:80%;
    .upd-topic-wrapper{
        .upd-topic-content{
            .upd-topic-wrapper-outside{
                display:flex;
                .upd-topic-name{
                    margin-left:15px;
                }
                #arrow_left{
                    margin-left:15px;
                   }
                .upd-topic-update{
                    margin-left:15px;
                }
                .upd-topic-delete{
                    margin-left:15px;
                }



            }

        }
    }
}